

/* Import Google Font - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

:root {
  /* Dark mode colors */
  --text-color: #E3E3E3;
  --subheading-color: #828282;
  --placeholder-color: #A6A6A6;
  --primary-color: #242424;
  --secondary-color: #383838;
  --secondary-hover-color: #444;
}

.light_mode {
  /* Light mode colors */
  --text-color: #222;
  --subheading-color: #A0A0A0;
  --placeholder-color: #6C6C6C;
  --primary-color: #FFF;
  --secondary-color: #E9EEF6;
  --secondary-hover-color: #DBE1EA;
}

body {
  background: var(--primary-color);
}

.header, .chat-list .message, .typing-form {
  margin: 0 auto;
  max-width: 980px;
}

.header {
  margin-top: 6vh;
  padding: 1rem;
  width: 100%;
  height: auto; /* حسب الحاجة */
  position: relative;
  overflow-x: hidden;
}


body.hide-header .header {
  margin: 0;
  display: none;
}
.main_head {

  background-color: #e7e8ee;
/*  background-clip: text;
  */
  background: repeating-radial-gradient(ellipse farthest-corner at center center, #ffa445 0%, #CF1512 100%);

  -webkit-background-clip:text;
  -webkit-text-fill-color: transparent;

  text-align: center;

  transition: 4s ease;
}


.header :where(.title, .subtitle,.main_head) {
  color: var(--text-color);
/*  line-height:4rem;*/
}

.header .title {
  width: fit-content;
  background-clip: text;
  background: linear-gradient(to right, #4285f4, #d96570);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.header .subtitle {
  font-size: 2.6rem;
  color: var(--subheading-color);
}

/*
      .header, .typing-area ,.main_head{
            opacity: 0; 
            position: relative;
        }

        @keyframes slideInLeft {
            from {
                transform: translateX(-100%);
                opacity: 0;
            }
            to {
                transform: translateX(0);
                opacity: 1;
            }
        }

 @keyframes slideDown {
            from {
                transform: translateY(-100%);
                opacity: 0;
            }
            to {
                transform: translateY(0);
                opacity: 1;
            }
        }
        
        @keyframes slideInRight {
            from {
                transform: translateX(100%);
                opacity: 0;
            }
            to {
                transform: translateX(0);
                opacity: 1;
            }
        }


*/
.suggestion-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
  justify-items: start;
  gap: 10px;
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.suggestion {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px;
  border-bottom: 1px solid #ddd;

}

.suggestion h3 {
  font-size: 1rem;
  margin: 0;
}

.icon {
  font-size: 24px;

  object-fit: contain; /* تثبيت الأبعاد للأيقونات */
}



.suggestion-list .suggestion {
  cursor: pointer;
  padding: 1.25rem;
  width: 172px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  border-radius: 0.75rem;
  justify-content: space-between;
  background: var(--secondary-color);
  transition: 0.2s ease;
}

.suggestion-list .suggestion:hover {
  background: var(--secondary-hover-color);
}

.suggestion-list .suggestion :where(.text, .icon) {
  font-weight: 400;
  color: var(--text-color);
}


.chat-list {
  padding: 2rem 1rem 12rem;
  max-height: 100vh;
  overflow-y: auto;
  scrollbar-color: #999 transparent;
}

.chat-list .message.incoming {
  margin-top: 1.5rem;
}

.chat-list .message .message-content {
  display: flex;
  gap: 1.5rem;
  width: 100%;
  align-items: center;
}

.chat-list .message .text {
  color: var(--text-color);
  white-space: pre-wrap;
}

.chat-list .message.error .text {
  color: #e55865;
}

.chat-list .message.loading .text {
  display: none;
}

.chat-list .message .avatar {

  object-fit: cover;
  border-radius: 50%;
  align-self: flex-start;
}

.chat-list .message.loading .avatar {
  animation: rotate 1s linear infinite;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

.chat-list .message .icon {
  color: var(--text-color);
  cursor: pointer;

  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: none;

  margin-left: 3.5rem;
  visibility: hidden;
}

.chat-list .message .icon.hide {
  visibility: hidden;
}

.chat-list .message:not(.loading, .error):hover .icon:not(.hide){
  visibility: visible;
}

.chat-list .message .icon:hover {
  background: var(--secondary-hover-color);
}

.chat-list .message .loading-indicator {
  display: none;
  gap: 0.8rem;
  width: 100%;
  flex-direction: column;
}

.chat-list .message.loading .loading-indicator {
  display: flex;
}

.chat-list .message .loading-indicator .loading-bar {
  width: 100%;
  border-radius: 0.135rem;
  background-position: -800px 0;
  background: linear-gradient(to right, #4285f4, var(--primary-color), #4285f4);
  animation: loading 3s linear infinite;
}

.chat-list .message .loading-indicator .loading-bar:last-child {
  width: 70%;
}

@keyframes loading {
  0% {
    background-position: -800px 0;
  }

  100% {
    background-position: 800px 0;
  }
}

.typing-area {
  position: fixed;
  width: 100%;
  left: 0;
  bottom: 0;
  padding: 1rem;
  background: var(--primary-color);
}

.typing-area :where(.typing-form, .action-buttons) {
  display: flex;
  gap: 0.75rem;
}

.typing-form .input-wrapper {
  width: 100%;
  display: flex;
  position: relative;
}

.typing-form .typing-input {
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  resize: none;
  font-size: 1rem;
  color: var(--text-color);
  padding: 1.1rem 4rem 1.1rem 1.5rem;
  border-radius: 100px;
  background: var(--secondary-color);
}

.typing-form .typing-input:focus {
  background: var(--secondary-hover-color);
}

.typing-form .typing-input::placeholder {
  color: var(--placeholder-color);
}

.typing-area .icon {
  width: 56px;
  flex-shrink: 0;
  cursor: pointer;
  border-radius: 50%;
  display: flex;
  font-size: 1.4rem;
  color: var(--text-color);
  align-items: center;
  justify-content: center;
  background: var(--secondary-color);
  transition: 0.2s ease;
}

.typing-area .icon:hover {
  background: var(--secondary-hover-color);
}

.typing-form #send-message-button {
  position: absolute;
  right: 0;
  outline: none;
  border: none;
  transform: scale(0);
  background: transparent;
  transition: transform 0.2s ease;
}

.typing-form .typing-input:valid ~ #send-message-button {
  transform: scale(1);
}

.typing-area .disclaimer-text {
  text-align: center;
  font-size: 0.85rem;
  margin-top: 1rem;
  color: var(--placeholder-color);
}


/* Responsive media query code for small screen */
@media (max-width: 768px) {
  .header :is(.title, .subtitle) {
    line-height: 2.6rem;
  }

  .header .subtitle {
  }

  .typing-area :where(.typing-form, .action-buttons) {
    gap: 0.4rem;
  }

  .typing-form .input-wrapper {
    height: 50px;
  }

  .typing-form .typing-input {
    padding: 1.1rem 3.5rem 1.1rem 1.2rem;
  }

  .typing-area .icon {
    height: 50px;
    width: 50px;
  }

  .typing-area .disclaimer-text {
    font-size: 0.75rem;
    margin-top: 0.5rem;
  }
}

	.add-to {
			background-color:#38e02d00; 
			width:88%;
		} 
		.add-to-btn {
			background-color:blue; 
			color: white; 
			border: none;
			outline:none; 
			font-weight: bold; 
			 position:fixed; 
z-index: 6;
		} 
  
        footer {
margin-top: 13px;
  background-color: #333;
  color: #fff;
  text-align: center;
  padding: 10px;
}


footer a {
    margin-top: 16px;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
}



dialog[open] {
  transform: translateY(0);
}

/* EXIT STATE */
dialog {
  transition: transform 0.7s ease-out, overlay 0.7s ease-out, display 0.7s ease-out allow-discrete;
  transform: translateY(100vh);
}

/* 0. BEFORE-OPEN STATE */




/* Etc */

.Bbutton {
  font-family: system-ui;
}

.Bbutton {
  padding:5px;
  margin:3px;
  background: black;
  color: white;
  border-radius: 5px;
  border: none;
}

.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}
#linn3:hover{
    background-color:#ACF79B;
    padding:7px;
    color:blue;
}
#linn2{

    font-size: smaller;
margin-top: 16px;
}
#linn2:hover{
    background-color:#ccc;
    padding:7px;
    color:blue;
}

#linn:hover{
    background-color:#ccc;
    padding:7px;
    color:blue;
}
#linn4:hover{
    background-color:#ccc;
    padding:7px;
    color:blue;
}

#ii{
    font-size:16px;color:red;color:#31bc76;
    
}#ww{
     color: hotpink;
}
img {
  height: auto;
  width: 100%;
}

img[Style] {
  aspect-ratio: auto 640 / 360;
}


    
          .ad-container img {
      max-width: 100%; /* لضمان تناسب صور الإعلان داخل الحاوية */
      opacity: 0; /* يمكنك استخدام transition لتحسين تأثير التحميل */
  }
  
  .ad-container.loading img {
      opacity: 1;
  }
  
  
 
  
  .ad-container img {
      opacity: 0; /* يمكنك استخدام transition لتحسين تأثير التحميل */
  }
  
  .ad-container.loading img {
      opacity: 1;
  }
  
#too{
     margin-bottom: 400px; 
}
